=== debian/changelog ===
kdepim-runtime (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:20:29 +0100

kdepim-runtime (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:19:50 +0100

kdepim-runtime (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:11:55 +0100

kdepim-runtime (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * Remove kubuntu_maildir_regression.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:29:24 +0100

kdepim-runtime (4:4.10.95-0ubuntu2) saucy; urgency=low

  * Add kubuntu_maildir_regression.diff from upstream, revert a
    commit which causes maildir regression - slow behaviour and
    duplicated mails.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Jul 2013 14:10:21 +0100

kdepim-runtime (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release 
    - drop kubuntu_access_control.diff and kubuntu_no_crash_without_kolab.diff
      again. Fixed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:32:16 +0000

kdepim-runtime (4:4.10.90-0ubuntu5) saucy; urgency=low

  * Make sure google resources are installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 08 Jul 2013 20:02:47 +0100

kdepim-runtime (4:4.10.90-0ubuntu4) saucy; urgency=low

  * Add kubuntu_access_control.diff kubuntu_no_crash_without_kolab.diff
    requested by Christian Mollekopf <mollekopf@kolabsys.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jul 2013 16:41:27 +0100

kdepim-runtime (4:4.10.90-0ubuntu3) saucy; urgency=low

  * Add transitional package for akonadi-facebook

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Jul 2013 15:26:49 +0100

kdepim-runtime (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Add libkfbapi-dev to Build Deps to build facebook backend
  * Break/Replaces on akonadi-facebook

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Jul 2013 14:41:56 +0100

kdepim-runtime (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release
 
  [ Howard Chan ]
  * Removed 1 file and added 4 files to 
    kdepim-runtime.install
  * Added 1 lintian warning to 
    kdepim-runtime.lintian-overrides

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:10:39 +0100

kdepim-runtime (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Fixed the .install files 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:11:11 +0100

kdepim-runtime (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release
    - Add libqtwebkit-dev, libqjson-dev, libkgapi-dev, libkolabxml-dev
      libkolab-dev, libcurl4-openssl-dev to build-depends.
    - Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:28:12 +0100

kdepim-runtime (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian Unstable, remaining changes:
    - Keep versioned boost build-depends
    - Do not install the akonaditray .desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:34 +0000

kdepim-runtime (4:4.10.2-3) experimental; urgency=low

  * Shuffle around build-deps to work around aptitude.
  * Take a patch from upstream to reduce the warnings from the nepomuk-feeder.

 -- Sune Vuorela <sune@debian.org>  Mon, 22 Apr 2013 08:49:22 +0200

kdepim-runtime (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump build dependencies according to the upstream requirements:
    - kdelibs5-dev >= 4:4.10
    - kdepimlibs5-dev >= 4:4.10.1
    - libakonadi-dev >= 1.8
    - shared-desktop-ontologies >= 0.10
  * Bump akonadi-server dependency to >= 1.8.

 -- Sune Vuorela <sune@debian.org>  Wed, 17 Apr 2013 22:57:05 +0200

kdepim-runtime (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Update copyright file
  * Update install files
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Tue, 26 Mar 2013 14:42:10 +0000

kdepim-runtime (4:4.8.4-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ George Kiagiadakis ]
  * Add myself to uploaders.

  [ Jan Losinski ]
  * Update install files.

  [ Modestas Vainius ]
  * Require KDE SC 4.8.4 for building.
  * Update lintian overrides.
  * Drop debian_set_library_version.diff patch, not needed.
  * Do not generate shlibs for usr/lib/libkdepim-runtime-dms-copy.so.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies build depend to 0.6.50.
  * Update installed files.

  [ Eshat Cakar ]
  * Bump kdelibs5-dev and kdepimlibs5-dev build dependencies to 4:4.8.
  * Update installed files in 4.8.
  * Add watch file.
  * Bump libakonadi-dev build dependency version to 1.7.2.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jun 2012 14:28:48 +0300
