=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 debhelper (>= 9), cmake, pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.3), kdelibs5-dev (>= 4:4.11),
 libakonadi-dev (>= 1.9.80),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30),
 shared-desktop-ontologies (>= 0.11),
 nepomuk-core-dev (>= 4:4.11), libqjson-dev, libsoprano-dev (>= 2.9),
 libkolabxml-dev, libkolab-dev (>= 0.4.2-7~),
 libkgapi-dev (>= 1.9.81), libqtwebkit-dev,
 libx11-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libkolab0(>= 0.4.2-7~),
 kdepimlibs-kio-plugins,
 akonadi-server (>= 1.8)
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.
