=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.5), kdelibs5-dev (>= 4:4.11.5), libakonadi-dev (>= 1.8),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.53-dev (>= 1.40.0-2),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.10),
 nepomuk-core-dev, libkolabxml-dev, libkolab-dev (>= 0.2), libkgapi-dev (>= 0.4.3),
 libqjson-dev, libcurl4-openssl-dev, libqtwebkit-dev, libkfbapi-dev
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.8)
Replaces: akonadi-kde, libmaildir4, akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4), akonadi-facebook (<< 4:4.10.90-0ubuntu3)
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: ${misc:Depends}, kdepim-runtime (= ${binary:Version})
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

##########################
# Transitional Packages. #
##########################
# Package last shipped in 13.04, longest supported release is 12.10
# Don't remove before 14.04 ( next LTS )

Package: akonadi-facebook
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdepim-runtime
Description: Facebook resource for Akonadi -- transitional package
 This Akonadi module imports calendar information from Facebook
 for use in Kontact.
 .
 This is a transitional package for kdepim-runtime and can be safely removed
 after installation.
