## kdepim-runtime 4.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
     set(KDEPIM_RUNTIME_DEV_VERSION "")
 endif()
 
-set(KDEPIM_RUNTIME_VERSION "4.11.2${KDEPIM_RUNTIME_DEV_VERSION}")
+set(KDEPIM_RUNTIME_VERSION "4.12.3${KDEPIM_RUNTIME_DEV_VERSION}")
 
 ############### search-related options ################
 option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)
@@ -52,11 +52,11 @@
 ############### search packages used by KDE ###############
 
 # Kdelibs
-find_package(KDE4 4.10.0 REQUIRED)
+find_package(KDE4 4.11.3 REQUIRED)
 include(KDE4Defaults)
 
 # KdepimLibs
-find_package(KdepimLibs 4.11.0)
+find_package(KdepimLibs 4.12.3)
 set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)
 
 #Boost
@@ -73,10 +73,6 @@
 find_package(SharedMimeInfo 0.30)
 set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "The shared-mime-info utility" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")
 
-# libxml
-find_package(LibXml2)
-set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")
-
 if(NOT KDEPIM_NO_NEPOMUK)
   find_package(SharedDesktopOntologies 0.11)
   set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared Desktop Ontologies" URL "http://sourceforge.net/projects/oscaf/" TYPE REQUIRED PURPOSE "Ontologies necessary for the Nepomuk semantic desktop")
@@ -96,7 +92,7 @@
 endif()
 
 # Libkolab
-find_package(Libkolab 0.2 QUIET CONFIG)
+find_package(Libkolab 0.4 QUIET CONFIG)
 set_package_properties(Libkolab PROPERTIES DESCRIPTION "libkolab" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab Format libraries are required to build the Kolab Groupware Resource")
 
 # Libkolabxml
@@ -225,7 +221,6 @@
 add_subdirectory(defaultsetup)
 
 if (NOT WINCE)
-add_subdirectory(xml)
 add_subdirectory(resourcetester)
 add_subdirectory(kioslave)
 add_subdirectory(kcm)
