=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), kdelibs5-dev (>= 4:4.11.5), libakonadi-dev (>= 1.8),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.53-dev (>= 1.40.0-2),
+ kdepimlibs5-dev (>= 4:4.12.3), kdelibs5-dev (>= 4:4.12.3), libakonadi-dev (>= 1.8),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.48-dev (>= 1.40.0-2),
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.10),
  nepomuk-core-dev, libkolabxml-dev, libkolab-dev (>= 0.2), libkgapi-dev (>= 0.4.3),
  libqjson-dev, libcurl4-openssl-dev, libqtwebkit-dev, libkfbapi-dev
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
